#include <stdio.h>
int main(){
  int partFirst = 16; // считаем что романтические отношения начинаются с 16
  int partSecond = 16;

  int count = 0, fix = -2;
  while (partFirst<80){
   if (count == 3+(fix>7?2:0)) {fix++; count = 0;}
   partSecond = (partFirst + 4) + fix;
   printf("Возраст партнёров %d • %d\n", partFirst, partSecond);
   partFirst++; count++;
  }
}

